#include <bits/stdc++.h>
using namespace std;

int t, n, m;
int mat[1005][1005];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    cin >> t;
    while(t--){
        cin >> n >> m;
        int a = 1;

        if(n != m){
            cout << "-1\n";
        }
        else{
            for(int i = 1; i <= n; i++){
                for(int j = 1; j <= m; j++){
                    mat[i][j] = 0;
                }
            }
            for(int i = n; i >= 1; i--){
                for(int j = n; j >= a; j--){
                    mat[i][j] = 1;
                }
                a++;
            }
            for(int i = 1; i <= n; i++){
                for(int j = 1; j <= m; j++){
                    cout << mat[i][j] << " ";
                }
                cout << '\n';
            }
        }

    }



    return 0;
}